Get List of NFs in Device Management

get

/rest/{versionId}/inventory/nf-mgmt/nfs

Use this (GET) method to display existing Network Functions (NFs).

Request

Path Parameters
Query Parameters
Back to Top

Response

200 Response

Retrieved list of NFs successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user doesn't have the required permission

404 Response

The resource URI of your input request cannot be found

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get List of NFs in Device Management.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs"

The following example shows how to use Python to get List of NFs in Device Management.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs"
resp = requests.get(url, headers=headers)

Example of the Response Body

The following example shows the contents of the response body.

{
  "nfList": [
    {
      "groupType": "DEVICE",
      "id": "41",
      "name": "me41",
      "parentGroupFullName": "Home",
      "parentGroupId": "1"
    },
    {
      "groupType": "DEVICE",
      "id": "22",
      "name": "sbc28",
      "parentGroupFullName": "Home",
      "parentGroupId": "1"
    },
    {
      "groupType": "DEVICE",
      "id": "21",
      "name": "mcename",
      "parentGroupFullName": "Home",
      "parentGroupId": "1"
    }
  ]
}    
Back to Top